GET checks/browser/{checkId}/results/{resultId}/screenshots
Gets information about screenshots for a browser check result.
URL Parameters
| Name | Description |
|---|---|
| checkId | Check identifier. Type: numeric. |
| resultId | Check result identifier. Type: GUID. |
Remarks
The default context for the route is the user context. To enable customer context (if it's allowed for the user) use the request query parameter customer_context=1.Request example
curl --request GET "https://api-asm1.apica.io/v3/checks/browser/12345/results/b1d01c2d-341d-4b7b-be0c-02e290483fd4/screenshots?auth_ticket=C471ADC4-19B4-4219-BBF4-671A97EC653E"
Response body model example and description
[
{
"id": "0f24fe3b-ad68-4e62-bb7c-d8f81ce70049",
"index": 1,
"timestamp_utc": "2026-05-12T19:48:35",
"image_type": "IMAGE/JPEG"
},
{
"id": "f7cefd86-76a6-44a2-a9c9-dcd63b00ca28",
"index": 2,
"timestamp_utc": "2026-05-12T19:48:35",
"image_type": "IMAGE/JPEG"
},
{
"id": "d83b86d4-8286-492a-94b4-6f435e12e78b",
"index": 0,
"timestamp_utc": "2026-05-12T19:48:35",
"image_type": "IMAGE/JPEG"
}
]
| Name | Type | Description |
|---|---|---|
| id | Guid | Screenshot identifier. |
| index | Integer | Index of the screenshot in the list (starting from 0). |
| timestamp_utc | DateTime | Screenshot timestamp (in UTC). |
| image_type | String | Type of the screenshot image. |